Bug 69672 - FILESAVE: Incorrect cell padding (Space to Content) in saved HTML Documents
Summary: FILESAVE: Incorrect cell padding (Space to Content) in saved HTML Documents
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:html
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2013-09-22 11:36 UTC by Calin Dumitrescu
Modified: 2021-04-07 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Calin Dumitrescu 2013-09-22 11:36:58 UTC
Saving documents will not preserve cell padding (Spacing to Content) in HTML Documents. This bug applies only to HTML Documents. Normal Text Documents (.odt) are handled correctly AFAICT.

Steps to reproduce:

1. Create new "HTML Document".

2. Insert 2x2 cells table.

3. Go to "Table Properties" ("Table Format") -> "Borders"

4. Set inner and outer borders, width 1, solid black (so they should be visible).

5. Set "Spacing to Content", all four values to 2 cm / 1 inch or similar.

6. Press OK and exit the format dialog.

7. Insert sample content in all four cells, for example "1", "2", "3", "4".

8. Select all four cells and center text from the toolbar. All sample content must be now dead center inside the cells, both horizontally and vertically, showing that padding is correct.

9. Save the document to disk and close LibreOffice.

10. Open the document with a web browser. The padding is off, specifically : right padding missing in the two left cells, top padding missing in the two bottom cells.

11. Re-open the document in LibreOffice. Same error as in web browser. If you go to "Table Properties" -> "Borders", "Spacing to content" shows 0 in all directions.


Current behavior: Explained in steps 10 and 11.

Expected behavior: Correct padding must be applied to the saved document.

              
Operating System: All
Version: unspecified
Comment 1 Thomas van der Meulen 2013-10-24 16:48:06 UTC
Thank you for your bug report, I can reproduce this bug running 
Version: 4.1.3.1
Build ID: b42498da0e3f91b17e51b55c8295ec4f8f22087
OS: Mac osx 10.9.
Comment 2 QA Administrators 2015-04-01 14:42:46 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-24 17:41:07 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 4 QA Administrators 2016-09-20 09:33:51 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2021-04-07 03:52:58 UTC
Dear Calin Dumitrescu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug